;----------------------------------------------------------------------
pro fit_kinematic_pa_example
;
; Usage example for the routine fit_kinematic_pa.
; Needs RDFLOAT routine from IDL astro library http://idlastro.gsfc.nasa.gov/
; Michele Cappellari, Oxford, 9 October 2007

rdfloat, 'fit_kinematic_pa_example.txt', x, y, vel, SKIPLINE=3
v0 = median(vel) ; Initial estimate of the systemic velocity
vel = vel - v0 ; IMPORTANT: Subtract v0 before the fit
fit_kinematic_pa, x, y, vel, pa, paErr, VelSyst, NSTEPS=30, /DEBUG
print, 'Systemic velocity:', v0 + VelSyst

end
;----------------------------------------------------------------------
